VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Content::Type Class Reference
Inheritance diagram for Com::Vmware::Content::Type:

## Classes
class | Info

## Avaliable Methods
public method | new ()
public method | list ()

## Detailed Description

The `Com::Vmware::Content::Type` interface exposes the class Com::Vmware::Content::Library::ItemModel types that this Content Library Service supports.

A library item has an optional type which can be specified with the :attr:`Com::Vmware::Content::Library::ItemModel.type` field . For items with a type that is supported by a plugin, the Content Library Service may understand the files which are part of the library item and can produce metadata for the item.

In other cases, uploads may require a process in which one upload implies subsequent uploads. For example, an Open Virtualization Format (OVF) package is composed of an OVF descriptor file and the associated virtual disk files. Uploading an OVF descriptor can enable the Content Library Service to understand that the complete OVF package requires additional disk files, and it can set up the transfers for the disks automatically by adding the file entries for the disks when the OVF descriptor is uploaded.

When a type is not supported by a plugin, or the type is not specified, the Content Library Service can handle a library item in a default way, without adding metadata to the item or guiding the upload process.

## Member Function Documentation

public method Com::Vmware::Content::Type::list | ( |  | ) |

Returns a list of class Com::Vmware::Content::Type::Info instances which describe the type support plugins in this Content Library.

Return values

  The | list of class Com::Vmware::Content::Type::Info instances which describe the type support plugins in this Content Library. The return type will be Array of Com::Vmware::Content::Type::Info

Code:
click to view
# Number of lines of code in list: 4
sub list {
my ($self, %args) = @_;
return $self->invoke(method_name => 'list', method_args => {});
}

public method Com::Vmware::Content::Type::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Type.pm